window.addEventListener("load", function () {
	let input = document.querySelector('input[type="file"]');
	input.addEventListener("change", function () {
		console.log(this.files);
		if (this.files && this.files[0]) {
			let img = document.querySelector("img");
			img.onload = () => {
				img.classList.add("visible");
				input.classList.add("hidden");
				URL.revokeObjectURL(img.src); // no longer needed, free memory
			};

			img.src = URL.createObjectURL(this.files[0]); // set src to blob url
		}
	});
});
